Bug 16223 - Update preferred Thai fonts
Summary: Update preferred Thai fonts
Status: RESOLVED FIXED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: conf (show other bugs)
Version: 2.6
Hardware: All All
: medium minor
Assignee: Keith Packard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-03 21:59 UTC by Theppitak Karoonboonyanan
Modified: 2009-06-24 12:35 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Summarized patch for Thai preferred fonts adjustment (1.70 KB, patch)
2008-06-03 22:01 UTC, Theppitak Karoonboonyanan
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Theppitak Karoonboonyanan 2008-06-03 21:59:34 UTC
Preferred Thai fonts in 65-nonlatin.conf are based on outdated information, and
should be updated.

Serif:

- Phaisarn and Phaisarn98 are bitmap fonts with unclear licenses, and have been 
  removed from upstream distribution [1].

    [1] http://linux.thai.net/projects/thaixfonts

- Kinnari is preferred over Norasi, according to upstream [2] config, based on 
  their actual popularities.

    [2] http://linux.thai.net/projects/thaifonts-scalable

Sans-Serif:

- Norasi is serif, not sans-serif. So, it should be removed.
- Preferred Thai sans-serif fonts are Waree, Loma, Garuda and Umpush, according
  to [2].

Monospace:

- Courier MonoThai is unmaintained, and should be removed.
- Preferred Thai Monospace fonts are TlwgTypo, TlwgTypist, TlwgTypewriter and
  TlwgMono, according to [2].
Comment 1 Theppitak Karoonboonyanan 2008-06-03 22:01:22 UTC
Created attachment 16907 [details] [review]
Summarized patch for Thai preferred fonts adjustment
Comment 2 Behdad Esfahbod 2008-08-12 14:55:38 UTC
In my tree:
Created commit da77b3b: Update Thai default families (#16223)
 1 files changed, 9 insertions(+), 4 deletions(-)
Comment 3 Behdad Esfahbod 2009-06-24 12:35:16 UTC
I believe I've fixed this in 2.7.0.  Please reopen otherwise.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.